import numpy as np
import matplotlib.pyplot as plt

x = np.linspace(0,1,200)
p_list = [-100, -10, -1, 0, 1, 10, 100]

for p in p_list:
    if p != 0:
        u = (np.exp(p*x)-1)/(np.exp(p)-1)
    else:
        u = x

    plt.plot(x,u, label=f"p={p}")

plt.xlabel("x")
plt.ylabel("u(x)")
plt.title("Solution of -u''+pu'=0 with u(0)=0 u(1)=1")
plt.legend()
plt.show()